Skip to content
Permalink
Browse files
[FIXED JENKINS-35562] Upgrade to Credentials 2.1.0+ API for populatin…
…g credentials drop-down

This is a deprecated class, and should not be used, but it makes sense to have to use the newer API anyway
  • Loading branch information
stephenc committed Jun 10, 2016
1 parent 681d566 commit ccef22d63dad8faef2533de0a8767daa8b7df98f
Showing with 4 additions and 5 deletions.
  1. +2 −2 pom.xml
  2. +2 −3 src/main/java/com/cloudbees/jenkins/plugins/sshcredentials/SSHUserListBoxModel.java
@@ -65,7 +65,7 @@
</scm>

<properties>
<jenkins.version>1.580.1</jenkins.version>
<jenkins.version>1.609</jenkins.version>
<java.level>6</java.level>
</properties>

@@ -94,7 +94,7 @@
<dependency>
<groupId>org.jenkins-ci.plugins</groupId>
<artifactId>credentials</artifactId>
<version>1.25</version>
<version>2.1.0</version>
</dependency>
<!-- jenkins dependencies -->
<!-- test dependencies -->
@@ -144,9 +144,8 @@ public SSHUserListBoxModel withSystemScopeCredentials(List<DomainRequirement> do
*/
public SSHUserListBoxModel withSystemScopeCredentials(CredentialsMatcher matcher,
List<DomainRequirement> domainRequirements) {
withMatching(matcher,
CredentialsProvider.lookupCredentials(StandardUsernameCredentials.class, Jenkins.getInstance(),
ACL.SYSTEM, domainRequirements));
includeMatchingAs(ACL.SYSTEM, Jenkins.getActiveInstance(), StandardUsernameCredentials.class,
domainRequirements, matcher);
return this;
}

0 comments on commit ccef22d

Please sign in to comment.